<?php echo $this->Html->docType('html5'); ?>
<html lang='en'>
<head>
	<?php

		echo $this->Html->charset();

		if (!empty($titleForLayout)) {
			$this->assign('title', $titleForLayout);
		} else {
			$this->assign('title', $this->fetch('title') . ' | ' . Configure::read('SiteSetting.site_title'));
		}
		echo $this->Html->tag('title', $this->fetch('title'));

		// Meta description.
		if (isset($metaDescription)) {

			echo $this->Html->meta('description', $metaDescription);

		}

		echo $this->Html->meta('icon');

		echo $this->fetch('meta');

		if (Configure::read('debug')) {
			$css[] = 'global';
		}
		$css[] = 'site.min';
		echo $this->Html->css($css);

		echo $this->fetch('css');
	?>
	<link href='https://fonts.googleapis.com/css?family=Lato:400,700,900,400italic&subset=latin,latin-ext' rel='stylesheet' type='text/css' />
	<meta name="msapplication-config" content="none" />

	<meta http-equiv="X-UA-Compatible" content="IE=8,IE=9,IE=10,IE=edge">
	<meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0" />
	<meta name="apple-mobile-web-app-capable" content="yes" />

	<!--[if lte IE 8]>
		<script> // IE8 html5 element support
			document.createElement("header"); document.createElement("nav");
			document.createElement("main");   document.createElement("footer");
			document.createElement("section");
		</script>
	<![endif]-->
	<script type="text/javascript">
		(function(a,e,c,f,g,h,b,d){var k={ak:"1008687693",cl:"QcmPCK-P5VYQzbT94AM"};a[c]=a[c]||function(){(a[c].q=a[c].q||[]).push(arguments)};a[g]||(a[g]=k.ak);b=e.createElement(h);b.async=1;b.src="//www.gstatic.com/wcm/loader.js";d=e.getElementsByTagName(h)[0];d.parentNode.insertBefore(b,d);a[f]=function(b,d,e){a[c](2,b,k,d,null,new Date,e)};a[f]()})(window,document,"_googWcmImpl","_googWcmGet","_googWcmAk","script");
	</script>
	<script>
		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

		ga('create', 'UA-74292932-1', 'auto');
		ga('send', 'pageview');
	</script>
	<!-- Hotjar Tracking Code for https://twinwoodsadventure.com/ -->
	<script>
		(function(h,o,t,j,a,r){
			h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
			h._hjSettings={hjid:251349,hjsv:5};
			a=o.getElementsByTagName('head')[0];
			r=o.createElement('script');r.async=1;
			r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
			a.appendChild(r);
		})(window,document,'//static.hotjar.com/c/hotjar-','.js?sv=');
	</script>
</head>
<body class="<?php
	// Inserting theme_id as a stylable class on body, theme--1, theme--air, etc is fine.
	if (!empty($data['Activity']['theme_id'])) {
		echo "theme--" . $data['Activity']['theme_id'];
	}
?>" onload="_googWcmGet('ga-number', '0845 200 2960')"><a class="skip" href="#content">Skip to content</a>

	<div id="container">
		<div id="wrapper">
			<?php echo $this->Element('kiosk_header'); ?>
			<main class="content" id="content" role="main" tabindex="-1">

				<?php
				/* This modal container needs to be at the start of main, for the sake of mobiles.
				 * Content is filled by diary times book link (which loads accounts/book.ctp)
				 * And likely other places that have data-target="genericModal"
				 */
				?>
				<div class="modal fade" id="genericModal" tabindex="-1" role="dialog">
					<div class="modal-dialog" role="document">
						<div class="modal-content"></div>
					</div>
				</div>

				<div class="container-fluid">
				<?php
					echo $this->Session->flash();
					echo $this->fetch('content');
				?>
				</div>
			</main>
			<?php echo $this->Element('kiosk_footer'); ?>
		</div>
	</div>
<?php
	// uncomment the following line if you aren't using DebugKit
	// echo $this->element('sql_dump');

	echo $this->Html->script(array(
		'https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js',
		'global',
		Router::url(['controller' => 'pages', 'action' => 'locale', 'plugin' => false]),
		'site.min'
	));

	echo $this->fetch('script');
	echo $this->Html->scriptBlock('App.init(\'' . $this->request->controller . '\', \'' . $this->request->action . '\')');

	echo $this->element('site_schema');
?>
	<script type="text/javascript">
		/* <![CDATA[ */
		var google_conversion_id = 970110928;
		var google_custom_params = window.google_tag_params;
		var google_remarketing_only = true;
		/* ]]> */
	</script>
	<script type="text/javascript" src="//www.googleadservices.com/pagead/conversion.js">
	</script>
	<noscript>
		<div style="display:inline;">
		<img height="1" width="1" style="border-style:none;" alt="" src="//googleads.g.doubleclick.net/pagead/viewthroughconversion/970110928/?value=0&amp;guid=ON&amp;script=0"/>
	</div>
	</noscript>

	<!-- Facebook Pixel Code -->
	<script>
	!function(f,b,e,v,n,t,s){if(f.fbq)return;n=f.fbq=function(){n.callMethod?
	n.callMethod.apply(n,arguments):n.queue.push(arguments)};if(!f._fbq)f._fbq=n;
	n.push=n;n.loaded=!0;n.version='2.0';n.queue=[];t=b.createElement(e);t.async=!0;
	t.src=v;s=b.getElementsByTagName(e)[0];s.parentNode.insertBefore(t,s)}(window,
	document,'script','https://connect.facebook.net/en_US/fbevents.js');
	fbq('init', '123894624647672');
	fbq('track', 'PageView');
	</script>
	<noscript><img height="1" width="1" style="display:none"
	src="https://www.facebook.com/tr?id=123894624647672&ev=PageView&noscript=1"
	/></noscript>
	<!-- DO NOT MODIFY -->
	<!-- End Facebook Pixel Code -->

</body>
</html>
